For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList integration configs
      • GETGet integration config status
      • POSTCreate or update an integration config
      • DELDelete an integration config
Dashboard
LogoLogo
Runtype APIIntegration Configs

Get integration config status

GET
/v1/integration-configs/:provider
GET
/v1/integration-configs/:provider
$curl https://api.runtype.com/v1/integration-configs/provider \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "configured": true
3}
Returns whether a specific integration provider is configured for the authenticated user.
Was this page helpful?
Previous

Create or update an integration config

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

providerstringRequired
Integration provider name

Response

Successful response
configuredboolean

Errors

401
Unauthorized Error
403
Forbidden Error